Skip to main content
`Ctrl`+`K`

# TSSetRunSteps

Sets the maximum number of steps to take in each call to `TSSolve()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetRunSteps(TS ts, PetscInt runsteps)

If the step count when `TSSolve()` is `start_step`, this will stop the simulation once `current_step - start_step >= run_steps`. Comparatively, `TSSetMaxSteps()` will stop if `current_step >= max_steps`. The simulation will stop when either condition is reached.

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- runsteps - maximum number of steps to take in each call to `TSSolve()`;

## Options Database Key

- -ts_run_steps runsteps - Sets runsteps

## Note

The default is `PETSC_UNLIMITED`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetRunSteps()`, `TSSetMaxTime()`, `TSSetExactFinalTime()`, `TSSetMaxSteps()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages